#include <bits/stdc++.h>
using namespace std;
string testcase()
{
    int N, K;
    long long M;
    cin >> N >> M >> K;
    int broj = N / K;
    int ostatak = N % K;
    int p = N - ostatak;
    if (M >= (p * broj * (broj + 1)) / 2 + (ostatak * (broj + 1) * (broj + 2)) / 2) return "Tak";
    else return "Nie";
}
int main()
{
    int T;
    cin >> T;
    vector<string> R(T);
    for (int i = 0; i < T; ++i) R[i] = testcase();
    for (auto i : R) cout << i << "\n";
}